MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027737Open CASCADE[OCCT] OCCT:Samplespublic2016-08-02 14:212017-09-29 16:24
Reporterapn 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0027737: Samples - Remove hardcoded paths to data folders in mfc samples
DescriptionThere is problem in mfc samples with loaded shapes when exe files are located in /INSTALL_DIR/ARCH/VCVER/bin
Steps To ReproduceBUILD_MODULE_MfcSamples and INSTALL_SAMPLES ON during cmake configuration
launch mfc samples (e.g. Viewer3d and run texture example)
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
has duplicate 0028067closedbugmaster Samples - Samples could not find data shapes if they were started using sample.bat from INSTALL_DIR 

-  Notes
(0056383)
git (administrator)
2016-08-02 15:17

Branch CR27737 has been created by apn.

SHA-1: 1cfc874d7e4f08dae22f03503711302745afd032


Detailed log of new commits:

Author: apn
Date: Tue Aug 2 15:18:24 2016 +0300

    0027737: Remove hardcoded paths to data folders in mfc samples
    
    Define path to data folders using variable CSF_OCCTSamplesPath in mfc occt samples.
(0056384)
apn (administrator)
2016-08-02 15:17

Dear kgv, could you please review CR27737.
(0056394)
kgv (developer)
2016-08-02 17:24

I would expect the data being moved into CSF_OCCTDataPath instead of using weird paths starting from CSF_OCCTSamplesPath.
(0061579)
git (administrator)
2016-12-12 16:33

Branch CR27737_1 has been created by ski.

SHA-1: b41d6b96cc6f9daa3f555ab0511ff5e6a0e239f4


Detailed log of new commits:

Author: ski
Date: Fri Dec 9 11:38:28 2016 +0300

    0027737: Remove hardcoded paths to data folders in mfc samples
    
    Data shapes (used in samples) were moved into CSF_OCCTDataPath location.
(0061580)
ski (developer)
2016-12-12 16:43

Dear kgv,

Data shapes used in mfc samples were moved to CSF_OCCTDataPath (occt/data) directory. Environment variable CSF_OCCTDataPath is used to find shape.

Please, review.
(0061614)
kgv (developer)
2016-12-13 14:15

Dear Andrey,

please take a look.
(0063160)
abv (manager)
2017-01-27 22:43

No remarks, please test (samples only!)
(0063161)
git (administrator)
2017-01-27 22:55

Branch CR27737_2 has been created by abv.

SHA-1: 9457993bfd57fa986bbc5a01717eb5706751c946


Detailed log of new commits:

Author: ski
Date: Fri Dec 9 11:38:28 2016 +0300

    0027737: Remove hardcoded paths to data folders in mfc samples
    
    Data shapes (used in samples) were moved into CSF_OCCTDataPath location.
(0063300)
apv (tester)
2017-02-01 15:02

Tested in scope of issue 0023551
(0063528)
git (administrator)
2017-02-08 11:31

Branch CR27737_1 has been deleted by kgv.

SHA-1: b41d6b96cc6f9daa3f555ab0511ff5e6a0e239f4
(0063589)
git (administrator)
2017-02-08 11:35

Branch CR27737_2 has been deleted by kgv.

SHA-1: 9457993bfd57fa986bbc5a01717eb5706751c946
(0063642)
git (administrator)
2017-02-08 11:40

Branch CR27737 has been deleted by kgv.

SHA-1: 1cfc874d7e4f08dae22f03503711302745afd032

- Related Changesets
occt: master 92345dc2
Timestamp: 2016-12-09 08:38:28
Author: ski
Committer: apn
Details ] Diff ]
0027737: Remove hardcoded paths to data folders in mfc samples

Data shapes (used in samples) were moved into CSF_OCCTDataPath location.
mod - samples/mfc/standard/01_Geometry/src/GeometryDoc.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/TexturesExt_Presentation.cpp Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/src/Tesselate_Presentation.cpp Diff ] File ]
rm - samples/mfc/standard/Data/bottle.brep Diff ] File ]
rm - samples/mfc/standard/Data/carrelage1.gif Diff ] File ]
rm - samples/mfc/standard/Data/chataignier.gif Diff ] File ]
rm - samples/mfc/standard/Data/cookerplate.gif Diff ] File ]
rm - samples/mfc/standard/Data/Kitchen/MODERN_Chair_1.brep Diff ] File ]
rm - samples/mfc/standard/Data/Kitchen/MODERN_Cooker_1.brep Diff ] File ]
rm - samples/mfc/standard/Data/Kitchen/MODERN_Cooker_1_opened.brep Diff ] File ]
rm - samples/mfc/standard/Data/Kitchen/MODERN_Exhaust_1.brep Diff ] File ]
rm - samples/mfc/standard/Data/Kitchen/MODERN_MVCooker_1.brep Diff ] File ]
rm - samples/mfc/standard/Data/Kitchen/MODERN_MVCooker_1_opened.brep Diff ] File ]
rm - samples/mfc/standard/Data/Kitchen/MODERN_Refrigerator_1.brep Diff ] File ]
rm - samples/mfc/standard/Data/Kitchen/MODERN_Refrigerator_1_opened.brep Diff ] File ]
rm - samples/mfc/standard/Data/Kitchen/MODERN_Sink_1.brep Diff ] File ]
rm - samples/mfc/standard/Data/Kitchen/MODERN_Sink_1_opened.brep Diff ] File ]
rm - samples/mfc/standard/Data/Kitchen/MODERN_Table_1.brep Diff ] File ]
rm - samples/mfc/standard/Data/Kitchen/Room.brep Diff ] File ]
rm - samples/mfc/standard/Data/petitsobj.gif Diff ] File ]
rm - samples/mfc/standard/Data/plancher.gif Diff ] File ]
rm - samples/mfc/standard/Data/shell1.brep Diff ] File ]
rm - samples/mfc/standard/Data/terrain.gif Diff ] File ]
rm - samples/mfc/standard/Data/wallpaper.gif Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-08-02 14:21 apn New Issue
2016-08-02 14:21 apn Assigned To => apn
2016-08-02 15:17 git Note Added: 0056383
2016-08-02 15:17 apn Note Added: 0056384
2016-08-02 15:17 apn Test case number => Not needed
2016-08-02 15:17 apn Assigned To apn => kgv
2016-08-02 15:17 apn Status new => resolved
2016-08-02 17:24 kgv Note Added: 0056394
2016-08-02 17:24 kgv Assigned To kgv => abv
2016-08-02 17:24 kgv Status resolved => feedback
2016-11-15 12:24 abv Assigned To abv => ski
2016-11-15 12:24 abv Status feedback => assigned
2016-11-22 12:11 abv Target Version 7.1.0 => 7.2.0
2016-12-12 16:33 git Note Added: 0061579
2016-12-12 16:43 ski Note Added: 0061580
2016-12-12 16:43 ski Assigned To ski => kgv
2016-12-12 16:43 ski Status assigned => resolved
2016-12-12 16:44 ski Relationship added has duplicate 0028067
2016-12-12 17:56 kgv Summary Remove hardcoded paths to data folders in mfc samples => Samples - Remove hardcoded paths to data folders in mfc samples
2016-12-13 14:15 kgv Note Added: 0061614
2016-12-13 14:15 kgv Assigned To kgv => abv
2017-01-27 22:43 abv Note Added: 0063160
2017-01-27 22:43 abv Assigned To abv => bugmaster
2017-01-27 22:43 abv Status resolved => reviewed
2017-01-27 22:55 git Note Added: 0063161
2017-01-30 14:23 apv Assigned To bugmaster => apv
2017-02-01 15:02 apv Note Added: 0063300
2017-02-01 15:03 apv Assigned To apv => bugmaster
2017-02-01 15:03 apv Status reviewed => tested
2017-02-03 16:52 apn Changeset attached => occt master 92345dc2
2017-02-03 16:52 apn Assigned To bugmaster => apn
2017-02-03 16:52 apn Status tested => verified
2017-02-03 16:52 apn Resolution open => fixed
2017-02-08 11:31 git Note Added: 0063528
2017-02-08 11:35 git Note Added: 0063589
2017-02-08 11:40 git Note Added: 0063642
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker